For the complete documentation index, see llms.txt. This page is also available as Markdown.

LLM Providers

get

Retrieves multiple LLM provider options.

Query parameters
llmProviderIdstring · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all available LLM models.

application/json
aiLabstringRequired
artificialAnalysisReferencestringRequired
costinteger · min: 1Required
labelstringRequired
namestring · enumRequiredPossible values:
providerstring · enumRequiredPossible values:
get/api/v1/llm-providers/options
GET /api/v1/llm-providers/options HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "aiLab": "text",
    "artificialAnalysisReference": "text",
    "cost": 1,
    "indicators": {
      "bestCostBenefit": true,
      "bestOverall": true,
      "defaultChoice": true,
      "deprecated": true,
      "fast": true,
      "greatForTooling": true,
      "score": 1,
      "smart": true
    },
    "label": "text",
    "name": "claude-haiku-4-5",
    "provider": "openai"
  }
]
get

Retrieves multiple LLM providers.

Query parameters
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
typesany ofOptionalDefault: []
or
string · enumOptionalPossible values:
Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all LLM providers for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
updatedAtstring · date-timeRequired
apiKeystring · min: 1 · max: 500Required

The API key used to authenticate with the LLM provider.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the LLM provider configuration.

lastErrorstring · max: 280 · nullableRequired

The sanitized diagnosis of the last client LLM provider failure.

lastErrorAtstring · date-time · nullableRequired

The timestamp of the last client LLM provider failure.

lastErrorModelstring · min: 1 · max: 250 · nullableRequired

The model that was requested when the last client LLM provider failure occurred.

namestring · min: 3 · max: 50Required

The display name of the LLM provider configuration.

referenceIdstring · uuid · nullableRequired

The optional reference ID associated with the LLM provider configuration.

typestring · enumRequired

The upstream LLM provider type configured for this record.

Possible values:
workspaceIdstring · uuidRequired

The workspace ID that owns the LLM provider configuration.

get/api/v1/llm-providers
GET /api/v1/llm-providers HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "isRemoved": true,
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "apiKey": "text",
    "description": "text",
    "lastError": "text",
    "lastErrorAt": "2026-01-01T00:00:00.000Z",
    "lastErrorModel": "text",
    "name": "text",
    "referenceId": "123e4567-e89b-12d3-a456-426614174000",
    "type": "openai",
    "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
  }
]
post

Creates a new LLM provider.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
apiKeystring · min: 1 · max: 500Required

The API key used to authenticate with the LLM provider.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the LLM provider configuration.

namestring · min: 3 · max: 50Required

The display name of the LLM provider configuration.

typestring · enumRequired

The upstream LLM provider type configured for this record.

Possible values:
Responses
200

The LLM provider was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
updatedAtstring · date-timeRequired
apiKeystring · min: 1 · max: 500Required

The API key used to authenticate with the LLM provider.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the LLM provider configuration.

lastErrorstring · max: 280 · nullableRequired

The sanitized diagnosis of the last client LLM provider failure.

lastErrorAtstring · date-time · nullableRequired

The timestamp of the last client LLM provider failure.

lastErrorModelstring · min: 1 · max: 250 · nullableRequired

The model that was requested when the last client LLM provider failure occurred.

namestring · min: 3 · max: 50Required

The display name of the LLM provider configuration.

referenceIdstring · uuid · nullableRequired

The optional reference ID associated with the LLM provider configuration.

typestring · enumRequired

The upstream LLM provider type configured for this record.

Possible values:
workspaceIdstring · uuidRequired

The workspace ID that owns the LLM provider configuration.

post/api/v1/llm-providers
POST /api/v1/llm-providers HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "apiKey": "text",
  "description": "text",
  "name": "text",
  "type": "openai"
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "isRemoved": true,
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "apiKey": "text",
  "description": "text",
  "lastError": "text",
  "lastErrorAt": "2026-01-01T00:00:00.000Z",
  "lastErrorModel": "text",
  "name": "text",
  "referenceId": "123e4567-e89b-12d3-a456-426614174000",
  "type": "openai",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}
get
Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves an LLM provider.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
updatedAtstring · date-timeRequired
apiKeystring · min: 1 · max: 500Required

The API key used to authenticate with the LLM provider.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the LLM provider configuration.

lastErrorstring · max: 280 · nullableRequired

The sanitized diagnosis of the last client LLM provider failure.

lastErrorAtstring · date-time · nullableRequired

The timestamp of the last client LLM provider failure.

lastErrorModelstring · min: 1 · max: 250 · nullableRequired

The model that was requested when the last client LLM provider failure occurred.

namestring · min: 3 · max: 50Required

The display name of the LLM provider configuration.

referenceIdstring · uuid · nullableRequired

The optional reference ID associated with the LLM provider configuration.

typestring · enumRequired

The upstream LLM provider type configured for this record.

Possible values:
workspaceIdstring · uuidRequired

The workspace ID that owns the LLM provider configuration.

get/api/v1/llm-providers/{id}
GET /api/v1/llm-providers/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "isRemoved": true,
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "apiKey": "text",
  "description": "text",
  "lastError": "text",
  "lastErrorAt": "2026-01-01T00:00:00.000Z",
  "lastErrorModel": "text",
  "name": "text",
  "referenceId": "123e4567-e89b-12d3-a456-426614174000",
  "type": "openai",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}
delete

Removes an LLM provider.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The LLM provider was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete/api/v1/llm-providers/{id}
DELETE /api/v1/llm-providers/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "message": "text"
}
patch

Updates an LLM provider.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
apiKeystring · min: 1 · max: 500Optional

The API key used to authenticate with the LLM provider.

descriptionstring · min: 3 · max: 250 · nullableOptional

The internal description of the LLM provider configuration.

namestring · min: 3 · max: 50Optional

The display name of the LLM provider configuration.

referenceIdstring · uuid · nullableOptional

The optional reference ID associated with the LLM provider configuration.

Responses
200

The LLM provider was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
updatedAtstring · date-timeRequired
apiKeystring · min: 1 · max: 500Required

The API key used to authenticate with the LLM provider.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the LLM provider configuration.

lastErrorstring · max: 280 · nullableRequired

The sanitized diagnosis of the last client LLM provider failure.

lastErrorAtstring · date-time · nullableRequired

The timestamp of the last client LLM provider failure.

lastErrorModelstring · min: 1 · max: 250 · nullableRequired

The model that was requested when the last client LLM provider failure occurred.

namestring · min: 3 · max: 50Required

The display name of the LLM provider configuration.

referenceIdstring · uuid · nullableRequired

The optional reference ID associated with the LLM provider configuration.

typestring · enumRequired

The upstream LLM provider type configured for this record.

Possible values:
workspaceIdstring · uuidRequired

The workspace ID that owns the LLM provider configuration.

patch/api/v1/llm-providers/{id}
PATCH /api/v1/llm-providers/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 105

{
  "apiKey": "text",
  "description": "text",
  "name": "text",
  "referenceId": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "isRemoved": true,
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "apiKey": "text",
  "description": "text",
  "lastError": "text",
  "lastErrorAt": "2026-01-01T00:00:00.000Z",
  "lastErrorModel": "text",
  "name": "text",
  "referenceId": "123e4567-e89b-12d3-a456-426614174000",
  "type": "openai",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated